---
sidebar_label: WaitForSelectorOptions.timeout
---

# WaitForSelectorOptions.timeout property

Maximum time to wait in milliseconds. Pass `0` to disable timeout.

The default value can be changed by using [Page.setDefaultTimeout()](./puppeteer.page.setdefaulttimeout.md)

**Signature:**

```typescript
interface WaitForSelectorOptions {
  timeout?: number;
}
```
